<?php
declare(strict_types=1);

namespace GamesShop\Routing\Responses;

use GamesShop\ContainerHandler;
use GamesShop\Templates\TemplateEngine;
use Laminas\Diactoros\Response;

final class TemplateResponse extends Response
{
    public function __construct(string $templateName, array $data = [], array $headers = [])
    {
        parent::__construct('php://memory', 200, $headers);

        $templateEngine = ContainerHandler::get(TemplateEngine::class);
        $body = $templateEngine->renderPage($templateName, $data);
        $this->getBody()->write($body);
    }
}